#pragma once
#include <map>
struct M_ActivityFortuenTaskCFGData
{
	//任务ID
	int mId;
	//任务描述
	std::string mDesc;
	//完成条件类型
	int mCompleteType;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	std::vector<int> mCompleteParam;
	//完成计数
	int mCompleteCount;
	//达到天数
	int mDays;
	//奖励物品ID
	std::vector<int> mAwardItemIDs;
	//奖励物品数量
	std::vector<int> mAwardItemCounts;
};

class M_ActivityFortuenTaskCFG
{
public:
private:
	static std::auto_ptr<M_ActivityFortuenTaskCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityFortuenTaskCFGData* GetData(int Id);
	const std::map<int, M_ActivityFortuenTaskCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityFortuenTaskCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityFortuenTaskCFGData> mMapData;
};
